<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It is a breeze. Simply tell Lumen the URIs it should respond to
| and give it the Closure to call when that URI is requested.
|
*/

$app->get('/providers', 'ProviderController@getAll');
$app->get('/services', 'ServiceController@getAll');
$app->get('/services/provider/{provider_id}', 'ServiceController@getServicesByProvider');
$app->get('/providers/service/{service_id}', 'ProviderController@getProvidersByService');

$app->get('/provider/{provider_id}/timing/{date}/available', 'ProviderController@getAvailableDate');
$app->get('/provider/{provider_id}/timing', 'ProviderController@getProvider');


